/*================================================================*/
/* COPYRIGHT:                                                     */
/* ----------                                                     */
/* Copyright (C) International Business Machines Corp., 1996.     */
/*                                                                */
/* DISCLAIMER OF WARRANTIES:                                      */
/* -------------------------                                      */
/* The following [enclosed] code is sample code created by IBM    */
/* Corporation.  This sample code is not part of any standard IBM */
/* product and is provided to you solely for the purpose of       */
/* assisting you in the development of your applications.  The    */
/* code is provided "AS IS", without warranty of any kind.  IBM   */
/* shall not be liable for any damages arising out of your use of */
/* the sample code, even if they have been advised of the         */
/* possibility of such damages.                                   */
/*================================================================*/

#ifndef WAVES_H
#define WAVES_H

#ifdef __cplusplus
extern "C" {
#endif


typedef struct WAVE_FORMAT_STRUCT
{
  unsigned short format;
  unsigned short num_channels;
  unsigned long  samples_per_sec;
  unsigned long  avg_bytes_per_sec;
  unsigned short block_align;
  unsigned short bits_per_sample;
  unsigned short extra;
} WaveFormatStruct;


extern int WavReadData ( int fd );

extern int WavNextBlock ( int fd, char * stype );

extern int WavFirstBlock ( int fd, char * stype );

extern int WavDataBlockSize ( int fd );

extern int WavNextDataBlock ( int fd );

extern int WavSkipBlock ( int fd );



extern int WavOpenFile ( char * fn );

extern int WavCloseFile ( int fd );

extern int WavReadBlock ( int fd, char * buff, int siz );


extern int WavFirstDataBlock ( int fd );

extern int WavReadFmt ( int fd, WaveFormatStruct * fmt );

extern int WavCheckFormat (  char *szWaveFile, int iSampleRate  );


#ifdef __cplusplus
}
#endif

#endif
